# Generated by Django 3.0.7 on 2021-02-04 09:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('npl_portfolio', '0002_auto_20210128_1502'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='nonpropertycollateral',
            name='non_property_collateral_identifier',
        ),
        migrations.AddField(
            model_name='enforcement',
            name='counterparty_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Counterparty'),
        ),
        migrations.AddField(
            model_name='enforcement',
            name='non_property_collateral_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.NonPropertyCollateral'),
        ),
        migrations.AddField(
            model_name='enforcement',
            name='property_collateral_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.PropertyCollateral'),
        ),
        migrations.AddField(
            model_name='externalcollection',
            name='counterparty_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Counterparty'),
        ),
        migrations.AddField(
            model_name='externalcollection',
            name='loan_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Loan'),
        ),
        migrations.AddField(
            model_name='forbearance',
            name='counterparty_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Counterparty'),
        ),
        migrations.AddField(
            model_name='forbearance',
            name='loan_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Loan'),
        ),
        migrations.AddField(
            model_name='nonpropertycollateral',
            name='loan_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Loan'),
        ),
        migrations.AddField(
            model_name='portfoliosnapshot',
            name='last_change_date',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AlterField(
            model_name='counterparty',
            name='counterparty_group_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.CounterpartyGroup'),
        ),
        migrations.AlterField(
            model_name='counterparty',
            name='counterparty_identifier',
            field=models.TextField(blank=True, help_text='Unique internal identifier for the Counterparty. One or multiple Counterparties can be part of a Counterparty. <a class="risk_manual_url" href="https://www.openriskmanual.org/wiki/EBA_NPL.Counterparty.Counterparty_Identifier">Documentation</a>', null=True),
        ),
        migrations.AlterField(
            model_name='counterparty',
            name='snapshot_id',
            field=models.ForeignKey(blank=True, help_text='The snapshot ID to which the Counterparty belongs', null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.PortfolioSnapshot'),
        ),
        migrations.AlterField(
            model_name='counterpartygroup',
            name='counterparty_group_identifier',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='counterpartygroup',
            name='cross_collateralisation_in_counterparty_group',
            field=models.IntegerField(blank=True, choices=[(0, '(a) Full'), (1, '(b) Partial'), (2, '(c) None')], help_text='Indicator as to whether all / some of the loans in the Counterparty Group are secured by all / some of the collaterals within the Counterparty Group ("Full", "Partial", "none"). <a target="_blank" class="risk_manual_url" href="https://www.openriskmanual.org/wiki/EBA_NPL.Counterparty Group.Cross_Collateralisation_in_Counterparty_Group">Documentation</a>', null=True),
        ),
        migrations.AlterField(
            model_name='enforcement',
            name='enforcement_identifier',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='externalcollection',
            name='external_collection_identifier',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='forbearance',
            name='forbearance_identifier',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='loan',
            name='counterparty_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Counterparty'),
        ),
        migrations.AlterField(
            model_name='portfolio',
            name='name',
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='portfoliosnapshot',
            name='creation_date',
            field=models.DateTimeField(auto_now_add=True, help_text='Date at which the snapshot has been created. Different from the cutoff date'),
        ),
        migrations.AlterField(
            model_name='portfoliosnapshot',
            name='name',
            field=models.CharField(blank=True, help_text='An assigned name to help identify the snapshot', max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='propertycollateral',
            name='loan_identifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='npl_portfolio.Loan'),
        ),
        migrations.AlterField(
            model_name='propertycollateral',
            name='protection_identifier',
            field=models.TextField(blank=True, help_text='Institutions internal identifier for the Property Collateral.<a class ="risk_manual_url" href="https://www.openriskmanual.org/wiki/EBA_NPL.Property Collateral.Protection_identifier" >Documentation</a>', null=True),
        ),
    ]
